# List of programming languages and their extensions
languages = [
    "plaintext", "abap", "apex", "azcli", "bat", "bicep", "cameligo", "clojure", 
    "coffeescript", "c", "cpp", "csharp", "csp", "css", "cypher", "dart", 
    "dockerfile", "ecl", "elixir", "flow9", "fsharp", "freemarker2", 
    "freemarker2.tag-angle.interpolation-dollar", "freemarker2.tag-bracket.interpolation-dollar", 
    "freemarker2.tag-angle.interpolation-bracket", "freemarker2.tag-bracket.interpolation-bracket", 
    "freemarker2.tag-auto.interpolation-dollar", "freemarker2.tag-auto.interpolation-bracket", 
    "go", "graphql", "handlebars", "hcl", "html", "ini", "java", "javascript", 
    "julia", "kotlin", "less", "lexon", "lua", "liquid", "m3", "markdown", "mdx", 
    "mips", "msdax", "mysql", "objective-c", "pascal", "pascaligo", "perl", "pgsql", 
    "php", "pla", "postiats", "powerquery", "powershell", "proto", "pug", "python", 
    "qsharp", "r", "razor", "redis", "redshift", "restructuredtext", "ruby", "rust", 
    "sb", "scala", "scheme", "scss", "shell", "sol", "aes", "sparql", "sql", "st", 
    "swift", "systemverilog", "verilog", "tcl", "twig", "typescript", "typespec", 
    "vb", "wgsl", "xml", "yaml", "json"
]

# Dictionary mapping some languages to their common file extensions
extensions = {
    "plaintext": "txt",
    "abap": "abap",
    "apex": "cls",
    "azcli": "azcli",
    "bat": "bat",
    "bicep": "bicep",
    "cameligo": "mligo",
    "clojure": "clj",
    "coffeescript": "coffee",
    "c": "c",
    "cpp": "cpp",
    "csharp": "cs",
    "csp": "csp",
    "css": "css",
    "cypher": "cyp",
    "dart": "dart",
    "dockerfile": "dockerfile",
    "ecl": "ecl",
    "elixir": "ex",
    "flow9": "flow",
    "fsharp": "fs",
    "freemarker2": "ftl",
    "freemarker2.tag-angle.interpolation-dollar": "ftl",
    "freemarker2.tag-bracket.interpolation-dollar": "ftl",
    "freemarker2.tag-angle.interpolation-bracket": "ftl",
    "freemarker2.tag-bracket.interpolation-bracket": "ftl",
    "freemarker2.tag-auto.interpolation-dollar": "ftl",
    "freemarker2.tag-auto.interpolation-bracket": "ftl",
    "go": "go",
    "graphql": "graphql",
    "handlebars": "hbs",
    "hcl": "hcl",
    "html": "html",
    "ini": "ini",
    "java": "java",
    "javascript": "js",
    "julia": "jl",
    "kotlin": "kt",
    "less": "less",
    "lexon": "lex",
    "lua": "lua",
    "liquid": "liquid",
    "m3": "m3",
    "markdown": "md",
    "mdx": "mdx",
    "mips": "s",
    "msdax": "msdax",
    "mysql": "sql",
    "objective-c": "m",
    "pascal": "pas",
    "pascaligo": "ligo",
    "perl": "pl",
    "pgsql": "pgsql",
    "php": "php",
    "pla": "pla",
    "postiats": "dats",
    "powerquery": "pq",
    "powershell": "ps1",
    "proto": "proto",
    "pug": "pug",
    "python": "py",
    "qsharp": "qs",
    "r": "r",
    "razor": "cshtml",
    "redis": "redis",
    "redshift": "sql",
    "restructuredtext": "rst",
    "ruby": "rb",
    "rust": "rs",
    "sb": "sb",
    "scala": "scala",
    "scheme": "scm",
    "scss": "scss",
    "shell": "sh",
    "sol": "sol",
    "aes": "aes",
    "sparql": "rq",
    "sql": "sql",
    "st": "st",
    "swift": "swift",
    "systemverilog": "sv",
    "verilog": "v",
    "tcl": "tcl",
    "twig": "twig",
    "typescript": "ts",
    "typespec": "tsp",
    "vb": "vb",
    "wgsl": "wgsl",
    "xml": "xml",
    "yaml": "yaml",
    "json": "json"
}

# Generate file names and create files
for language in languages:
    extension = extensions.get(language)
    if extension:
        file_name = f"example.{extension}"
        with open(file_name, 'w') as file:
            pass  # Create an empty file

print("Files created successfully.")
